[Subject Prev][Subject Next][Thread Prev][Thread Next][Subject Index][Thread Index]

[vine-users:010601] Re: SEMI / WEMI 1.13.4-3


かねこです。

>>>>> In <14247.52411.410907.15933H@bert.math.ryukoku.ac.jp>
>>>>>  "MATSUBAYASHI 'Shaolin' Kohji"
>>>>>  <shaolin@rins.st.ryukoku.ac.jp> wrote:

> 松林 (a.k.a. しょうりん) です.


> うちの web ページにて apel / flim / semi / wemi の rpm を
> 公開しておりますが,これらは相互のバージョン依存などを考えると
> 別パッケージにするメリットはほとんどないと思われます.

おお、すばらしいです。

> # どれかが version up したら,順番に rebuild する必要があったり.

確かにそうですね。
apel/flim/semi(wemi)は相互に(というより、右側が左側に)結構強く依存し
ていると思っています。

> そこで,そういう問題を解消するために,

> 	apel / flim / semi for mule
> 	apel / flim / wemi for xemacs

> という2つのパッケージとしてまとめることにしました.
> どうせこれらは組で使うだろうし,semi / wemi なしで
> apel / flim に依存するバイナリというのもほとんどないだろうし
> (あったとしても semi / wemi があっても問題ないだろうし).

つまり、MULEおよびXEmacsでバイトコンパイル済みのelc及びelをひとまと
めにしているという認識で良いのでしょうか?

すみません、RPMは利用しているんですがElispのRPMっていまいちイメージ
がわかないもので・・・

> ただ,flim を make するときには apel がインストールされている必要
> がある,semi を make するときには apel / flim がインストールされて
> いる必要がある,など,今の spec ファイルで本当によいのか少し気になっ
> ています.

実は私もRPMを作ろうかと思っているんですが、specファイルの書き方がい
まいち良くわかりません。
私は、普段T-gnusを使っていますので、これのRPM(with apel/flim/semi)を
作って見ようかと考えていました。

ところで私は、

  Emacs-20.X
  XEmacs-21.X

を使っています。
どちらもRPMにはありません。
しょうがないので自分でmakeしました。が、やはり管理の面で(バージョン
アップなど)、RPM化したいと考えています。

どなたか、Emacs-20.4もしくはXEmacs-21.2.XのRPMを作られた方はいないで
しょうか?

# 是非、RPMを作ることに挑戦したいのですが、なかなか時間がとれなくて
# 大変です。

かねこ  kaneko@pec.epson.co.jp

この情報があなたの探していたものかどうか選択してください。
yes/まさにこれだ!   no/違うなぁ   part/一部見つかった   try/これで試してみる

あなたが探していた情報はどのようなことか、ご自由に記入下さい。特に「まさにこれだ!」と言う場合は記入をお願いします。
例:「複数のマシンからCATV経由でipmasqueradeを利用してWebを参照したい場合の設定について」
Follow-Ups: References: